* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Poppins", sans-serif;
    background-color: #22577A;
    color: #F3F1F5;
    text-shadow: 2px 2px 8px black;
}

a {
    color: #80ED99;
    text-decoration: none;
}

a:hover {
    color: #80ED99;
}

ul {
    outline-style: none;
}

/*LAYOUT*/
#home,
#about {
    margin: 30px 0 100px;
    padding: 120px 50px;
    height: 80vh;
}




/*BUTTONS*/
.mybtn {
    border: 2px solid #80ED99;
    color: #80ED99;
    font-weight: lighter;
    background-color: #22577A;
    border-radius: 5px;
    font-size: 1rem;
    padding: 1rem;
    margin-top: .5rem;
    box-shadow: 2px 2px 8px black;
}

.mybtn:hover {
    border-color: #F3F1F5;
    color: #F3F1F5;
}

/*NAVBAR*/
#logo {
    width: 110px;
    height: 55px;
    margin-top: 2px;
}

.navbar {
    background-color: #22577A;
    padding: 0;
}

.nav-link {
    color: #F3F1F5;
    font-family: "Maven Pro", sans-serif;
}

.nav-icon {
    color: #80ED99;
}

/*HOME*/
.home-section {
    margin-top: 80px;
}

.home-contents {
    padding-top: 50px;
}

.hi {
    color: #80ED99;
    font-size: 1rem;
    font-weight: 800;
    line-height: 1.8;
    text-transform: uppercase;
    letter-spacing: 4px;
    padding-top: 70px;
}

.subtitle {
    font-weight: 800;
    opacity: .5;
}

#typewriter {
    font-size: 4.5rem;
    font-weight: bolder;
    font-family: 'VT323', monospace;
    color: #F3F1F5;
}

#nme {
    display: none;
    font-family: 'VT323', monospace;
    font-weight: bolder;
}

.my-icon {
    font-size: 1.25rem;
    padding-top: 50px;
}

.social-icon {
    color: #80ED99;
}

.social-icon:hover {
    color: #F3F1F5;
}

#contact-me {
    text-decoration: none;
}

/*SCROLL DOWN*/
@keyframes scrollDown {
    0% {
        margin-top: 15px;
        opacity: 0;
    }

    15% {
        margin-top: 15px;
        opacity: 1;
    }

    30% {
        margin-top: 15px;
        opacity: 1;
    }

    50% {
        margin-top: 30px;
        opacity: 1;
    }

    100% {
        margin-top: 30px;
        opacity: 0;
    }
}

.mouse-scroll {
    animation: scrollDown 3s infinite;
    padding-top: 70px;
}

.mouse-scroll-icon {
    color: #80ED99;
    transform: .5s;
}

.mouse-scroll:hover {
    color: #F3F1F5;
}

.mouse-scroll-size {
    font-size: 3rem;
    margin-top: 70px;
}

/*ABOUT ME*/
.about-section {
    margin-top: 30px;
    padding-bottom: 20px;
}

.about-pic {
    box-shadow: 2px 2px 8px black;
}

.info {
    padding-top: 35px;
}

.about-me {
    font-size: 4rem;
    font-weight: 600;
}

.about-description {
    opacity: .5;
}


.about-me-desc {
    text-align: left;
    list-style: none;
    padding-top: 20px;
}

.about-ans {
    font-weight: 500;
    opacity: .5;
}

.answer {}

/*TOOLS*/
.tools-title {
    font-size: 3rem;
    font-weight: 600;
    margin-top: 85px;
}

.fas {
    color: #80ED99;
}

.tools-logo {
    margin-bottom: 60px;
    width: auto;
    height: auto;
    transition: all .4s ease-in-out;
    float: left;
    display: flex;
    justify-content: center;
}

.tools-logo:hover {
    transform: scale(1.2, 1.2);
}

.tools-name {
    text-align: center;
    position: relative;
    width: 0;
    height: 0;
    transform: scale(0.0);
    transition: 1s;
    font-weight: 600;
}

.tools-logo:hover>.tools-name {
    transform: translate(-35%, 85%);
    transition: 1.5s;
    height: 100%;
    width: 70%;
    position: relative;
    object-fit: cover;
}

/*PROJECTS*/
.projects {
    font-size: 3rem;
    font-weight: 600;
    margin-top: 60px;
    padding-top: 100px;
    padding-bottom: 30px;
}

.capstone {
    padding: 30px 10px 10px;
}

.card {
    box-shadow:
        0 2.8px 2.2px rgba(0, 0, 0, 0.034),
        0 6.7px 5.3px rgba(0, 0, 0, 0.048),
        0 12.5px 10px rgba(0, 0, 0, 0.06),
        0 22.3px 17.9px rgba(0, 0, 0, 0.072),
        0 41.8px 33.4px rgba(0, 0, 0, 0.086),
        0 100px 80px rgba(0, 0, 0, 0.12);
    background-color: #22577A;
    border-radius: 30px;
    border: 2px;
    transition: all .4s ease-in-out;
    float: left;
}

.card:hover {
    transform: scale(1.25, 1.25);
}

.card-img {
    height: 250px;
    width: 100%;
}

.card-title {
    font-size: 1.50rem;
    text-align: center;
}

.cards {
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.card-body {
    padding-bottom: 10px !important;
}

/*CONTACT*/
#contact {
    height: 80vh;
    padding-top: 100px;
}

.contact-title {
    font-size: 3rem;
    font-weight: 600;
}

#send-msg {
    color: #F3F1F5;
    width: 300px;
    margin-bottom: 20px;
}

.uil {
    color: #80ED99;
}

.uil:hover {
    color: #F3F1F5;

}

.form-c {
    box-shadow:
        0 2.8px 2.2px rgba(0, 0, 0, 0.034),
        0 6.7px 5.3px rgba(0, 0, 0, 0.048),
        0 12.5px 10px rgba(0, 0, 0, 0.06),
        0 22.3px 17.9px rgba(0, 0, 0, 0.072),
        0 41.8px 33.4px rgba(0, 0, 0, 0.086),
        0 100px 80px rgba(0, 0, 0, 0.12);
    opacity: .8;
}

.c-size {
    font-size: 1.75rem;
}

.c-ans {
    font-size: 1rem;
    opacity: .5;
}

.info-ttl {
    font-size: 1.25rem;
}

.c-sub {
    font-size: 1.25rem;
    opacity: .7;
    padding-left: 200px;
}

.msg {
    padding-left: 100px;
    padding-right: 100px;
}

.contact-details {
    margin-top: 50px;
    text-align: center;
}

/*FOOTER*/

#footer {
    margin-top: 50px;
    background-color: #112C3E;
    padding-top: 20px;
}
}

.footer {
    margin-top: 20px;
    padding-top: 20px;
    height: 31vh;
}

.foot-list {
    list-style: none;
    opacity: .8;
}

.footer-icon {
    text-align: center;
}

.ftr-icn {
    font-size: 1.5rem;
}

.ftr-title {
    font-size: 1.25rem;
}

.foot-sec {
    text-decoration: none !important;
    color: #F3F1F5;
}

.ftr-content {}

.foot-sec:hover {
    color: #80ED99;
}

.foot-ques {
    text-decoration: none !important;
    color: #F3F1F5;
}

.icons {
    letter-spacing: 1rem;
    margin-top: 10px;
    margin-bottom: 10px;
}

/*FOR COMPATABILITY OF SCREEN*/
@media (max-width: 1013px) {
    #typewriter {
        font-size: 3.5rem;
    }

    .subtitle {
        font-size: 1.50rem;
    }

    .mouse-scroll-size {
        font-size: 3rem;
    }

}

@media (max-width: 818px) {
    #typewriter {
        font-size: 3rem;
    }

    .subtitle {
        font-size: 1.25rem;
    }

    .h1 {
        font-size: .8rem;
    }

    .mouse-scroll-size {
        font-size: 2.5rem;
    }

    .my-icon {
        font-size: 1rem;
    }

}

@media (max-width: 767px) {
    .c-home {
        padding-top: 50px;
        margin-top: 50px;
    }

    #typewriter {
        font-size: 2.5rem;
    }

    .subtitle {
        font-size: 1rem;
    }

    .h1 {
        font-size: .6rem;
    }

    .about-section {
        margin-top: 0;
        padding-bottom: 0
    }

    .about-me {
        font-size: 2.5rem;
    }

    .home-btn {
        font-size: .75rem;
        padding: .75rem;
        margin-top: 0rem;
    }
}

@media (max-width: 622px) {
    #typewriter {
        font-size: 2rem;
    }

    .subtitle {
        font-size: 1rem;
    }

    .h1 {
        font-size: .6rem;
    }

    .my-icon {
        font-size: .8rem;
    }

    .sec-title {
        font-size: 2.25rem;
    }

    .about-description {
        font-size: .8rem;
    }

    .about-list {
        font-size: .8rem;
    }

}

@media (max-width: 573px) {
    #typewriter {
        font-size: 2rem;
    }

    .subtitle {
        font-size: 1rem;
    }

    .h1 {
        font-size: .6rem;
    }

    .mouse-scroll-size {
        font-size: 2rem;
    }

}

@media (max-width: 525px) {
    #typewriter {
        height: 5.5rem;
    }
}

@media (max-width: 459px) {
    .c-home {
        padding-left: 90px;
        padding-top: 0;
        margin-top: 0;
    }

    #typewriter {
        display: none;
    }

    #nme {
        display: block;
    }

    .subtitle {
        font-size: .8rem;
    }

    .h1 {
        font-size: .6rem;
    }

    .mouse-scroll-size {
        font-size: 2rem;
    }

    #myLinkedIn {
        display: none;
    }

    #myInstagram {
        display: none;
    }

    #myGithub {
        display: none;
    }

    #myFacebook {
        display: none;
    }

    #myTwitter {
        display: none;
    }

    .home-btn {
        font-size: .5rem;
        padding: .5rem;
        margin-top: 0rem;
    }

    .disp {
        padding-left: 75px;
    }

    .disp-proj {
        padding-left: 60px;
    }
}

@media (max-width: 399px) {
    .hi {
        font-size: .65rem;
    }

    .c-home {
        padding-top: 0;
        padding-left: 30px;
    }

    @media (max-width: 1199px) {
        .c-size {
            font-size: 1.5rem;
        }

        .c-ans {
            font-size: .75rem;
        }

        .info-ttl {
            font-size: 1rem;
        }
    }

    /*@media only screen and (max-width: 991px) {
        .c-size {
            display: none;
        }

        .c-ans {
            display: none;
        }

        .info-ttl {
            display: none;
        }

        .msg {
            padding-left: 0;
            padding-right: 0;
        }

        .c-sub {
            padding-left: 0;
        }
    }*/

    @media  (max-width: 400px) {
        .tools-title {
            padding-top: 50px;
        }

        .disp {
            padding-left: 15px;
        }

        .disp-proj {
            padding-left: 30px;
        }

    }

    @media (max-width: 333px) {
        .tools-title {
            padding-top: 80px;
        }
    }

    @media (max-height: 733px) {
    #contact {
        height: 120vh;
    }
}

@media (max-height: 661px) {
    #contact {
        height: 120vh;
    }
}

@media (max-height: 630px) {
    .disp {
        padding-top:90px;
    }
}

@media (max-height: 550px) {
    .disp {
        padding-top:200px;
    }
}

@media (max-width: 452px) {
   .c-home {
        padding-top: 0;
        padding-left: 30px;
    }
}

@media (max-height: 644px) {
    #send-msg {
    width: 200px;
    margin-bottom: 50px;
    }
}

@media (max-height: 529px) {
     .msg {
            padding-left: 0;
            padding-right: 0;
        }
}

@media (max-height: 489px) {
    .disp {
        padding-top:250px;
    }
}


@media (max-height: 510px) {
     .tools-title {
            padding-top: 200px;
        }
}